Priority: Normal

Assignee:
Affected QGIS version:3.4.7 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 26463

Description

When exporting images to any format from the composer I often receive an error stating that the export file is open in another application

and the export cannot be completed.  This occurs even if I am not overwriting an existing image.  This started happening with QGIS 3.0

and still exist in 3.01.  There was one instance where turning off Enable Antialiasing in the Image Export Options worked, but that is not a

consistent fix.  It appears that the image exports work after a fresh restart of the entire computer, but after it gets locked or goes to sleep,

you cannot export images at all.  I was able to export PDFs though.

The computer is a Surface Pro 4 running Windows 10.

History

#1 - 2018-03-29 03:02 PM - Brett Hankerson

I have this problem, too, when I try to export with a "." in the file name

#2 - 2018-03-29 03:15 PM - Matt Warner

Brett Hankerson wrote:

I have this problem, too, when I try to export with a "." in the file name

The majority of my exports have a . in the file name.  I doubt that's a coincidence.

#3 - 2019-05-11 06:25 PM - Michael Heißmeier

I observe the same behaviour in version 3.4.7 on Linux. By chance I discovered the following:

I usually encode the scale in the names of my printed maps. So I generate files like title.200.png for a map at a scale of 1:200000. This worked fine in QGIS

2.x but is currently broken

Omitting the scale indicator allowed me to export the file as title.png in the current version too. The magic of extension handling seems to have changed

between QGIS 2.x and 3.x

#4 - 2019-05-11 06:30 PM - Giovanni Manghi

- Affected QGIS version changed from 3.1(master) to 3.4.7
